Installera .NET Framework 3.5, 3.0, 2.0 på Windows 8/10.

Windows 8/10.NET Framework 4.5 är inställt som standard. Eftersom .NET 4.5 är en uppdatering på plats till 4.0 kan du automatiskt starta alla program som riktar sig till .NET Framework 4.5 eller 4.0. Det är bra, men tänk om du behöver köra program som kräver äldre versioner .NET Framework ? Vilken är den lägsta versionen du kan köra?

Windows 8/10 .NET 3.5, 3.0 och 2.5 kommer med operativsystemet, du behöver bara aktivera dem. Detta är mycket bekvämt eftersom du inte behöver ladda ner .NET 3.5 från webbplatsen Microsoft . I det här inlägget kommer jag att visa dig hur du aktiverar gamla versioner .NET Framework i Windows 8/10 .

Windows 8 gå först till start skärm(Startskärm) och börja skriva “Slå på Windows…” och klicka på ” inställningar(Inställningar) » på panelen mirakelknappar. (Charms) Du bör se alternativet ” Slår på eller av egenskaper i Windows(Slår på eller av egenskaper i Windows) ” .

Windows 10 klicka bara “Start(Start)”, skriv in “Windows-funktioner(aktivera Windows-funktioner)” och tryck på “Enter”.

En dialogruta visas på skrivbordet och det första alternativet är .NET Framework 3.5 (inkluderar .NET 2.0 och 3.0)(.NET Framework 3.5 (inkluderar .NET 2.0 och 3.0)) . Bara(Bara) markera den här rutan och dessa funktioner kommer att installeras utan att behöva ladda ner något från Internet(Internet).

prick rutnät

singelversion .NET Framework som inte ingår i Windows 8/10 – detta är .NET Framework 1.1. Om du vill installera det måste du ladda ner det härifrån:

https://www.microsoft.com/en-us/download/details.aspx?id=26

.NETTO Ramverk 1.1 installerad i Windows 8/10 , så att du kan köra applikationer skrivna för den versionen av plattformen. Du kan få en kompatibilitetsvarning under installationen, men det är ungefär det. Annars bör den installeras och fungera bra.

Observera också att Windows 8/10 är smart och om du går för att installera en app som kräver .NET Framework 3.5 , visas en popup som frågar om du vill installera den här funktionen, vilket är samma som vi gjorde manuellt ovan. .

nätverksinstallation av ramverket

För de IT-proffs som vill installera .NET FrameworkWindows Server 2012 så här gör du.

1. Gå till Serverhanteraren, klicka på ” Kontrollera(Hantera)” och klicka sedan på ” Lägg till roller och funktioner(Lägg till roller och funktioner) » . Klicka sedan på Nästa.

2. Du kommer att se skärmen ” Välj installationstyp”(Välj installationstyp) och du vill välja roll- eller funktionsbaserad installation(Rollbaserad eller funktionsbaserad installation) och klicka på Nästa.

3. Nu på skärmen ” Val av destinationsserver(Välj destinationsserver)” välj destinationsservern och klicka på ” Ytterligare(Nästa) ” .

4. Du kommer att se skärmen ” Att välja serverroller(Välj serverroller )” och du måste klicka igen ” Ytterligare(Nästa) ” .

5. Slutligen, på skärmen ” Välja(Välj) komponenter “du kan kryssa i rutan” .NET Framework 3.5-funktioner(.NET Framework 3.5-funktioner) » .

Windows server 2012

Wow! Det är en lång process, men det är så man gör det Windows Server 2012 . Det bör också noteras att när du uppdaterar Windows 7 eller Windows Server 2008 R2 till Windows 8/10 eller Windows Server 2012 (Windows Server 2012).NET Framework 3.5 slås på automatiskt. Det är ungefär det. Njut av!

Med Windows 8/10 kommer .NET Framework 4.5 installerat som standard. Eftersom .NET 4.5 är en platsuppgradering av 4.0 kan du automatiskt köra alla program som är inriktade på .NET Framework 4.5 eller 4.0. Det är bra, men vad händer om du behöver köra program som kräver äldre versioner av .NET Framework? Vilken är den lägsta versionen du kan köra?

I Windows 8/10 kommer .NET 3.5, 3.0 och 2.5 med operativsystemet, du behöver bara aktivera det. Detta är riktigt trevligt eftersom du inte behöver gå och ladda ner .NET 3.5 från Microsofts webbplats. I det här inlägget ska jag visa dig hur du aktiverar de äldre versionerna av .NET Framework i Windows 8/10.

I Windows 8, gå först till startskärmen och börja skriva “Vänd Windows…” och klicka på inställningar i Charms bar. Du bör se ett alternativ som kallas Slår på eller av egenskaper i Windows.

Windows-funktioner

I Windows 10 klickar du bara på Start och skriver in vänd windows funktioner och tryck på Enter.

En dialogruta dyker upp på skrivbordet och det första alternativet blir .NET Framework 3.5 (inkluderar .NET 2.0 och 3.0). Bara gå vidare och markera den rutan och det kommer att installera dessa funktioner utan att behöva ladda ner något från Internet.

dot net ramverk

Den enda versionen av .NET Framework som inte följer med Windows 8/10 är .NET Framework 1.1. Om du vill installera det måste du ladda ner det härifrån:

https://www.microsoft.com/en-us/download/details.aspx?id=26

.NET Framework 1.1 installeras på Windows 8/10, så du kan köra applikationer skrivna för den versionen av ramverket. Du kan få en kompatibilitetsvarning när du installerar den, men det är ungefär det. Annars bör den installeras och fungera bra.

Observera också att Windows 8/10 är smart och om du går för att installera ett program som behöver .NET Framework 3.5, kommer det att dyka upp en meddelanderuta som frågar om du vill installera den funktionen, vilket är samma sak som vi gjorde manuellt ovan. .

net framework installation

För de IT-folk som vill installera .NET Framework på Windows Server 2012, så här gör du.

1. Gå till Serverhanteraren, klicka Klara av och klicka sedan på Lägg till roller och funktioner. Klicka sedan på Nästa.

2. Du kommer att se Välj installationstyp skärmen och du vill välja Rollbaserad eller funktionsbaserad installation och klicka på Nästa.

3. Nu på Välj destinationsserver Välj din målserver och klicka på Nästa.

4. Du kommer att se Välj serverroller skärmen och du måste klicka på Nästa igen.

5. Slutligen, på skärmen Välj funktioner kan du markera rutan för .NET Framework 3.5-funktioner.

Windows server 2012

Wow! Det är en lång process, men det är så du gör på Windows Server 2012. En annan sak att notera är att om du uppgraderar Windows 7 eller Windows Server 2008 R2 till Windows 8/10 eller Windows Server 2012, aktiveras .NET Framework 3.5 automatiskt. Det är ungefär det. Njut av!